%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name BerkeleyDB

Summary: 	Perl extension for Berkeley DB version 2, 3 or 4
Name: 		perl-BerkeleyDB
Version: 	0.33
Release: 	5.4
License: 	Artistic
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/BerkeleyDB/


Source: 	http://www.cpan.org/modules/by-module/BerkeleyDB/BerkeleyDB-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: 	perl
Requires: 	perl
%if 0%{?centos_version} || 0%{?rhel_version}
BuildRequires:	db4-devel
%endif
%if 0%{?sles_version} == 9
BuildRequires:	db-devel
%endif
 
%description
Perl extension for Berkeley DB version 2, 3 or 4.

%prep
%setup -n %{real_name}-%{version} 

%build
FLAGS="%{optflags}" %{__perl} Makefile.PL PREFIX="%{_prefix}" INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST README Todo
%doc %{_mandir}/man?/*
%{perl_vendorarch}/BerkeleyDB/
%{perl_vendorarch}/BerkeleyDB.pm
%{perl_vendorarch}/BerkeleyDB.pod
%{perl_vendorarch}/auto/BerkeleyDB/

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net>
- initial release

